import type React from "react";
import { Accordion } from "@fchh/fcos-suite-ui";
import { useEffect } from "react";

type Props = {
  title: string;
  children: React.ReactNode;
  id?: string;
};

const AccordionWrapper: React.FC<Props> = ({
  title,
  children,
  id,
  ...restProps
}) => {
  useEffect(() => {
    const details = document.querySelectorAll(`details#${id}`);
    details.forEach((targetDetail) => {
      targetDetail.addEventListener("click", () => {
        details.forEach((detail) => {
          if (detail !== targetDetail) {
            detail.removeAttribute("open");
          }
        });
      });
    });
  }, []);
  return (
    <Accordion title={title} id={id} {...restProps}>
      {children}
    </Accordion>
  );
};

export default AccordionWrapper;
