import React, { CSSProperties, Fragment } from "react";
import type { Color } from "@interfaces/ICommon";
import { ICON_PACKS } from "@config/index";
import type { IconPackageName } from "@config/index";
import type { IconSize } from "@config/index";
interface Props {
  pkg?: IconPackageName;
  name: string;
  size?: IconSize;
  color?: Color;
  className?: string;
}

const Icon: React.FC<Props> = ({
  pkg = "Carbon",
  name,
  size = 20,
  color,
  className = "",
}) => {
  const Comp = ICON_PACKS[pkg][name];
  const inlineStyle: CSSProperties = color ? { color } : {};
  return (
    <Fragment>
      {Comp ? (
        <Comp style={inlineStyle} size={size} className={className} />
      ) : null}
    </Fragment>
  );
};

export default Icon;
