import Icon from "@components/Icon";
import { RepoCard } from "@fchh/fcos-suite-ui";

interface Props {
  stats: Array<{ value: string; icon: string }>;
  [x: string]: any;
}

const RepoCardIconWrapper: React.FC<Props> = ({ stats, ...rest }) => {
  const transformedStats = stats?.map((stat) => ({
    ...stat,
    icon: <Icon name={stat.icon} />,
  }));
  return <RepoCard stats={transformedStats} {...rest} />;
};

export default RepoCardIconWrapper;
