export interface ISliderBase {
  caption?: string;
  subCaption?: string;
  tag?: string;
}

/**
 * This type is for imported captions from the filesystem.
 * url refers to the captions file, not an image.
 */
export interface ISliderCaption extends ISliderBase {
  url: string;
}

/**
 * This type is for an actual image inside a Slider.
 */
export interface ISlide extends ISliderBase {
  img: string;
}
