/**
 * Verify if the given array only contains string values
 */
export const isStringArray = (array: Array<unknown>) => {
  return array.every((element) => typeof element === "string");
};

// https://stackoverflow.com/a/71247432
export const partitionBy = <T>(
  arr: T[],
  predicate: (v: T, i: number, ar: T[]) => boolean
) =>
  arr.reduce(
    (acc, item, index, array) => {
      acc[+!predicate(item, index, array)].push(item);
      return acc;
    },
    [[], []] as [T[], T[]]
  );
