/**
 * Return the base URL of the current page with or without trailing slash depending on the given parameter.#
 * This value is read from the Astro config file (it doesn't need to be set in .env file).
 */
export const getBaseUrl = (withoutEndingSlash?: boolean): string => {
  const baseUrl = import.meta.env.BASE_URL || "/";

  if (withoutEndingSlash) {
    return baseUrl.endsWith("/") ? baseUrl.slice(0, -1) : baseUrl;
  }
  return baseUrl;
};
